# Uses of Enum
org.apache.commons.math3.dfp.DfpField.RoundingMode

Packages that use DfpField.RoundingMode
Package
Description
org.apache.commons.math3.dfp
Decimal floating point library for Java

## Uses of DfpField.RoundingMode in org.apache.commons.math3.dfp

Methods in org.apache.commons.math3.dfp that return DfpField.RoundingMode
Modifier and Type
Method
Description
`DfpField.RoundingMode`
DfpField.`getRoundingMode()`
Get the current rounding mode.
`static DfpField.RoundingMode`
DfpField.RoundingMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DfpField.RoundingMode[]`
DfpField.RoundingMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.commons.math3.dfp with parameters of type DfpField.RoundingMode
Modifier and Type
Method
Description
`void`
DfpField.`setRoundingMode(DfpField.RoundingMode mode)`
Set the rounding mode.
`protected Dfp`
Dfp.`trunc(DfpField.RoundingMode rmode)`
Does the integer conversions with the specified rounding.